#include <stdio.h>
#include <stdlib.h>
#include <time.h>

/* Vyhledavani v poli */

#define VEL 10   /* VEL - konstanta urcujici velikost pole */

void main()
{
 int pole1[VEL];
 int i;
 int max1;
 int pmx1;
 int hledej;
 int vyskyt;
 int nx;


 srand( (unsigned)time( NULL ) ); /* inicializace generatoru 
                                     nahodnych cisel syst. casem */
 /* naplneni pole nahodnymi cisly */
 for (i=0;i<VEL;i++) pole1[i]=(1000*rand())/RAND_MAX-500;

 /* vypise obsah pole, 5 cisel na radku */
 for (i=0;i<VEL;i++)
   {
    printf("%6d", pole1[i]);
    if ((i+1)%5==0) putchar('\n');
   }

 /* Vyhledani maxima */
 max1=pole1[0];
 for (i=1;i<VEL;i++)
   {
    if (pole1[i]>max1) max1=pole1[i];
   }
 printf("\nHodnota maxima je %d.", max1);

 /* Vyhledani pozice maxima */
 pmx1=0;
 for (i=1;i<VEL;i++)
    {
     if (pole1[i]>pole1[pmx1]) pmx1=i;
    }
 printf("\nPozice maxima je %d, hodnota maxima je %d.", pmx1, pole1[pmx1]);


 /* Zjisteni, zda se vyskytuje prvek s urcitou vlastnosti v poli */
 hledej=400;

 vyskyt=0;
 for (i=0;i<VEL;i++)
  {
   vyskyt=vyskyt || pole1[i]>hledej;
   /* nebo
    if (pole1[i]>hledej) vyskyt=1;
   */
  }
 if (vyskyt)
   printf("\nV poli se nachazi prvek vetsi nez %d.", hledej);
  else
   printf("\nV poli se nenachazi prvek vetsi nez %d.", hledej);

 /* Zjisteni poctu vyskytu prvku s urcitou vlastnosti v poli */
 hledej=100;

 vyskyt=0;
 for (i=0;i<VEL;i++)
  {
   if (pole1[i]>hledej) vyskyt++;
  }
 printf("\nV poli se nachazi %d prvku vetsich nez %d", vyskyt, hledej);

 /* Zjisteni pozice n-teho vyskytu prvku s urcitou vlastnosti v poli */
 nx=2;
 pmx1=-1;
 vyskyt=0;
 for (i=0;i<VEL;i++)
  {
   if (pole1[i]>hledej)
    {
     vyskyt++;
     if (vyskyt==nx) pmx1=i;
    }
  }
 printf("\nV poli se nachazi %d prvku vetsich nez %d. %d.vyskyt je na pozici %d.",
	vyskyt, hledej, nx, pmx1);


 getchar();
}
